/**
 * Copyright 2002, 2014 IBM Corp.
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * 
 *  Author: Sami Salkosuo, sami.salkosuo@fi.ibm.com
 */
package clenotes;

@SuppressWarnings("all")
public class ConfigurationSection {
  private static boolean option = false;
  
  private static boolean command = false;
  
  private static boolean configuration = false;
  
  public static boolean reset() {
    boolean _xblockexpression = false;
    {
      ConfigurationSection.option = false;
      ConfigurationSection.command = false;
      _xblockexpression = ConfigurationSection.configuration = false;
    }
    return _xblockexpression;
  }
  
  public static boolean setOption() {
    boolean _xblockexpression = false;
    {
      ConfigurationSection.option = true;
      ConfigurationSection.command = false;
      _xblockexpression = ConfigurationSection.configuration = false;
    }
    return _xblockexpression;
  }
  
  public static boolean setCommand() {
    boolean _xblockexpression = false;
    {
      ConfigurationSection.option = false;
      ConfigurationSection.command = true;
      _xblockexpression = ConfigurationSection.configuration = false;
    }
    return _xblockexpression;
  }
  
  public static boolean setConfiguration() {
    boolean _xblockexpression = false;
    {
      ConfigurationSection.option = false;
      ConfigurationSection.command = false;
      _xblockexpression = ConfigurationSection.configuration = true;
    }
    return _xblockexpression;
  }
  
  public static boolean isOption() {
    return ConfigurationSection.option;
  }
  
  public static boolean isCommand() {
    return ConfigurationSection.command;
  }
  
  public static boolean isConfiguration() {
    return ConfigurationSection.configuration;
  }
}
